Retrieves phone calls within a specified date range, optionally filtered by client ID.
curl --request GET \
--url https://api.example.com/phone-callsimport requests
url = "https://api.example.com/phone-calls"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/phone-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/phone-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/phone-calls"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/phone-calls")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/phone-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 123,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"fromNumber": "<string>",
"toNumber": "<string>",
"summary": "<string>",
"uuid": "<string>",
"clientId": 123,
"confidence": 123,
"confidenceReason": "<string>",
"satisfaction": 123,
"satisfactionReason": "<string>",
"purpose": "<string>",
"dynamicVariables": "<string>",
"connectedTo": 123,
"conversationUuid": "<string>",
"name": "<string>",
"transcript": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"by": "<string>",
"message": "<string>",
"phoneCallId": 123,
"category": 0
}
],
"isUnknown": true,
"portalId": 123
}
]PhoneCall
Retrieves phone calls within a specified date range, optionally filtered by client ID.
GET
/
phone-calls
Retrieves phone calls within a specified date range, optionally filtered by client ID.
curl --request GET \
--url https://api.example.com/phone-callsimport requests
url = "https://api.example.com/phone-calls"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/phone-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/phone-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/phone-calls"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/phone-calls")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/phone-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 123,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"fromNumber": "<string>",
"toNumber": "<string>",
"summary": "<string>",
"uuid": "<string>",
"clientId": 123,
"confidence": 123,
"confidenceReason": "<string>",
"satisfaction": 123,
"satisfactionReason": "<string>",
"purpose": "<string>",
"dynamicVariables": "<string>",
"connectedTo": 123,
"conversationUuid": "<string>",
"name": "<string>",
"transcript": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"by": "<string>",
"message": "<string>",
"phoneCallId": 123,
"category": 0
}
],
"isUnknown": true,
"portalId": 123
}
]Query Parameters
The start date for filtering phone calls.
The end date for filtering phone calls.
Optional client ID to filter phone calls for a specific client.
Response
Successfully retrieved phone calls.
Show child attributes
Show child attributes